MiscUtils.ParamFactory | index /usr/local/share/webware/MiscUtils/ParamFactory.py

`ParamFactory.py
A factory for creating cached, parametrized class instances.`

Classes
`` |  | __builtin__.object ParamFactory
class ParamFactory(__builtin__.object)
`` |  | Methods defined here: __call__(self, *args) __init__(self, klass, **extraMethods) allInstances(self) Data descriptors defined here: __dict__ `dictionary for instance variables (if defined)` __weakref__ `list of weak references to the object (if defined)`

Functions
`` |  | Lock = allocate_lock(...) `allocate_lock() -> lock object (allocate() is an obsolete synonym) Create a new lock object. See help(LockType) for information about locks.`